#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    ll t; cin >> t;
    ll n,k; cin >> n>> k;
    vector<ll> a(n);
    for(int i = 0;i <n;i++){
        cin >> a[i];
    }
    cout << "DA";




    return 0;
}